Sign a contract amendment (employee)

Allows the employee to provide their signature for a specific contract amendment, confirming acknowledgment and acceptance of the changes. Token scopes: contracts:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "alphanumeric"
The unique identifier of EOR worker contract.
amendment_idstringRequiredformat: "uuid"
A unique identifier for the employee contract amendment.

Request

This operation does not require a request body. Provide an empty JSON object if required by the client.

Response

Amendment info
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error